package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbCoupon;
import com.yongqi.xinrenli.domain.vo.DbCouponVo;
import com.yongqi.xinrenli.domain.bo.DbCouponBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 优惠卷Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbCouponService {

    /**
     * 查询优惠卷
     */
    DbCouponVo queryById(Long id);

    /**
     * 查询优惠卷列表
     */
    TableDataInfo<DbCouponVo> queryPageList(DbCouponBo bo, PageQuery pageQuery);

    /**
     * 查询优惠卷列表
     */
    List<DbCouponVo> queryList(DbCouponBo bo);

    /**
     * 新增优惠卷
     */
    Boolean insertByBo(DbCouponBo bo);

    /**
     * 修改优惠卷
     */
    Boolean updateByBo(DbCouponBo bo);

    /**
     * 校验并批量删除优惠卷信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
